<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-shuffle-test.GTestShuffleUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-shuffle-test_1_1GTestShuffleUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-shuffle-test.GTestShuffleUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-shuffle-test.GTestShuffleUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-shuffle-test_1_1GTestShuffleUnitTest__inherit__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-shuffle-test.GTestShuffleUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-shuffle-test_1_1GTestShuffleUnitTest__coll__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aac27510d643b9612d2c5cd41bb6119cf"><td class="memItemLeft" align="right" valign="top"><a id="aac27510d643b9612d2c5cd41bb6119cf"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>setUp</b> (self)</td></tr>
<tr class="separator:aac27510d643b9612d2c5cd41bb6119cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d15a56f61df7b9da590b7d3b228b38b"><td class="memItemLeft" align="right" valign="top"><a id="a2d15a56f61df7b9da590b7d3b228b38b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShufflePreservesNumberOfTests</b> (self)</td></tr>
<tr class="separator:a2d15a56f61df7b9da590b7d3b228b38b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eefebf438b0c11289d984691af44607"><td class="memItemLeft" align="right" valign="top"><a id="a5eefebf438b0c11289d984691af44607"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleChangesTestOrder</b> (self)</td></tr>
<tr class="separator:a5eefebf438b0c11289d984691af44607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadfcaa81fc890a1d1393b62e1cf9f72c"><td class="memItemLeft" align="right" valign="top"><a id="aadfcaa81fc890a1d1393b62e1cf9f72c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleChangesTestCaseOrder</b> (self)</td></tr>
<tr class="separator:aadfcaa81fc890a1d1393b62e1cf9f72c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d5f8b9f2a0a87c08778599da56f4eea"><td class="memItemLeft" align="right" valign="top"><a id="a9d5f8b9f2a0a87c08778599da56f4eea"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleDoesNotRepeatTest</b> (self)</td></tr>
<tr class="separator:a9d5f8b9f2a0a87c08778599da56f4eea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f2859889926ea41036e710263b5422f"><td class="memItemLeft" align="right" valign="top"><a id="a5f2859889926ea41036e710263b5422f"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleDoesNotCreateNewTest</b> (self)</td></tr>
<tr class="separator:a5f2859889926ea41036e710263b5422f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f44019c1d3ae97c458761b54e346408"><td class="memItemLeft" align="right" valign="top"><a id="a9f44019c1d3ae97c458761b54e346408"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleIncludesAllTests</b> (self)</td></tr>
<tr class="separator:a9f44019c1d3ae97c458761b54e346408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f48b99ec337d20c84d0655203620a52"><td class="memItemLeft" align="right" valign="top"><a id="a0f48b99ec337d20c84d0655203620a52"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleLeavesDeathTestsAtFront</b> (self)</td></tr>
<tr class="separator:a0f48b99ec337d20c84d0655203620a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a837b80b2c328cf030812d67b5d977b45"><td class="memItemLeft" align="right" valign="top"><a id="a837b80b2c328cf030812d67b5d977b45"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleDoesNotInterleaveTestCases</b> (self)</td></tr>
<tr class="separator:a837b80b2c328cf030812d67b5d977b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c8c704394572758647c8133e51e445"><td class="memItemLeft" align="right" valign="top"><a id="a04c8c704394572758647c8133e51e445"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleRestoresOrderAfterEachIteration</b> (self)</td></tr>
<tr class="separator:a04c8c704394572758647c8133e51e445"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87139a0521f324af16b086190a80601"><td class="memItemLeft" align="right" valign="top"><a id="ab87139a0521f324af16b086190a80601"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleGeneratesNewOrderInEachIteration</b> (self)</td></tr>
<tr class="separator:ab87139a0521f324af16b086190a80601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e21814173c0822718d74c79c10e3b21"><td class="memItemLeft" align="right" valign="top"><a id="a9e21814173c0822718d74c79c10e3b21"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testShuffleShardedTestsPreservesPartition</b> (self)</td></tr>
<tr class="separator:a9e21814173c0822718d74c79c10e3b21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests test shuffling.</pre> </div><hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-shuffle-test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-shuffle-test</b></li><li class="navelem"><a class="el" href="classgoogletest-shuffle-test_1_1GTestShuffleUnitTest.html">GTestShuffleUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
